libgtksourceviewmm: gtksourceview Namespace Reference

# gtksourceview Namespace Reference

## Classes
class | SourceBuffer
| The model for SourceView widgets. More...
class | SourceIter
| an iterator type for gtksourceview::SourceBuffer. More...
class | SourceLanguage
| The abstraction of a language. More...
class | SourceLanguageManager
| manages the languages supported by the SourceBuffer. More...
class | SourceMark
class | SourceStyle
class | SourceStyleScheme
| the styling properties applicable to a SourceLanguage. More...
class | SourceStyleSchemeManager
class | SourceTag
| An attribute that can be applied to a range of text. More...
class | SourceTagStyle
| a styling attribute that can be applied to to a SourceTag More...
class | SourceTagTable
| an Abstraction SourceTag list. More...
class | SourceView
| Multi-line source editing widget. More...
## Enumerations
enum | SearchFlags { SEARCH_VISIBLE_ONLY = 1 << 0, SEARCH_TEXT_ONLY = 1 << 1, SEARCH_CASE_INSENSITIVE = 1 << 2 }
enum | SourceSmartHomeEndType { SOURCE_SMART_HOME_END_DISABLED, SOURCE_SMART_HOME_END_BEFORE, SOURCE_SMART_HOME_END_AFTER, SOURCE_SMART_HOME_END_ALWAYS }
## Functions
void | init ()
SearchFlags | operator| (SearchFlags lhs, SearchFlags rhs)
SearchFlags | operator & (SearchFlags lhs, SearchFlags rhs)
SearchFlags | operator^ (SearchFlags lhs, SearchFlags rhs)
SearchFlags | operator- (SearchFlags lhs)
SearchFlags | operator|= (SearchFlags &lhs, SearchFlags rhs)
SearchFlags | operator &= (SearchFlags &lhs, SearchFlags rhs)
SearchFlags | operator^= (SearchFlags &lhs, SearchFlags rhs)
void | wrap_init ()

## Enumeration Type Documentation

enum gtksourceview::SearchFlags

Enumerator:

  SEARCH_VISIBLE_ONLY |
  SEARCH_TEXT_ONLY |
  SEARCH_CASE_INSENSITIVE |

## Function Documentation

void gtksourceview::init | ( |  | ) |

SearchFlags gtksourceview::operator & | ( | SearchFlags | lhs,
|  | SearchFlags | rhs |
| ) |  |  |

SearchFlags gtksourceview::operator &= | ( | SearchFlags & | lhs,
|  | SearchFlags | rhs |
| ) |  |  |

SearchFlags gtksourceview::operator- | ( | SearchFlags | lhs | ) |

SearchFlags gtksourceview::operator^ | ( | SearchFlags | lhs,
|  | SearchFlags | rhs |
| ) |  |  |

SearchFlags gtksourceview::operator^= | ( | SearchFlags & | lhs,
|  | SearchFlags | rhs |
| ) |  |  |

SearchFlags gtksourceview::operator| | ( | SearchFlags | lhs,
|  | SearchFlags | rhs |
| ) |  |  |

SearchFlags gtksourceview::operator|= | ( | SearchFlags & | lhs,
|  | SearchFlags | rhs |
| ) |  |  |

void gtksourceview::wrap_init | ( |  | ) |